//
//  main.c
//  libtest
//
//  Created by 西田　耀 on 13/02/25.
//  Copyright (c) 2013年 Hikaru Nishida. All rights reserved.
//

#include <stdio.h>
#include "chnlib.h"

int main(int argc, const char * argv[])
{
    CHNLIB_String *str1, *str2, *str;
    CHNLIB_UIPArray *array;
    
    str = CHNLIB_String_Initialize("あいうえおかきs");
    printf("0x%X:%s\n", CHNLIB_StructureHeader_GetHash(str), CHNLIB_String_GetReferencePointerOfCString(str));
    
    str1 = CHNLIB_String_Initialize("あい");
    printf("0x%X:%s\n", CHNLIB_StructureHeader_GetHash(str1), CHNLIB_String_GetReferencePointerOfCString(str1));
    str2 = CHNLIB_String_Initialize("かき");
    printf("0x%X:%s\n", CHNLIB_StructureHeader_GetHash(str2), CHNLIB_String_GetReferencePointerOfCString(str2));

    str = CHNLIB_String_Concatenate(str1, str2);
    printf("0x%X:%s\n", CHNLIB_StructureHeader_GetHash(str), CHNLIB_String_GetReferencePointerOfCString(str));
    
    str = CHNLIB_String_Concatenate(str, str);
    printf("0x%X:%s\n", CHNLIB_StructureHeader_GetHash(str), CHNLIB_String_GetReferencePointerOfCString(str));
    
    array = CHNLIB_UIPArray_Initialize();
    CHNLIB_UIPArray_AppendLast(&array, 0, str);
    printf("0x%X", CHNLIB_StructureHeader_GetHash(array));
    
    CHNLIB_UIPArray_AppendLast(&array, 0, str);
    printf("0x%X", CHNLIB_StructureHeader_GetHash(array));
    
    return 0;
}

